import React from 'react';
import {
  StyleProp,
  ViewStyle,
  ModalProps,
  KeyboardAvoidingViewProps,
} from 'react-native';

interface RBSheetProps {
  height?: number;
  openDuration?: number;
  closeDuration?: number;
  closeOnPressMask?: boolean;
  closeOnPressBack?: boolean;
  draggable?: boolean;
  dragOnContent?: boolean;
  useNativeDriver?: boolean;
  customStyles?: {
    wrapper?: StyleProp<ViewStyle>;
    container?: StyleProp<ViewStyle>;
    draggableIcon?: StyleProp<ViewStyle>;
  };
  customModalProps?: ModalProps;
  customAvoidingViewProps?: KeyboardAvoidingViewProps;
  onOpen?: () => void;
  onClose?: () => void;
  children?: React.ReactNode;
}

interface RBSheetRef {
  open: () => void;
  close: () => void;
}

declare const RBSheet: React.ForwardRefExoticComponent<
  RBSheetProps & React.RefAttributes<RBSheetRef>
>;

export default RBSheet;
